
QGIS Application - Bug report #11850

Can't classify based on joined column

2014-12-11 03:48 PM - Christopher Young

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Affected QGIS version:2.6.0 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: not reproducable

Crashes QGIS or corrupts data:No Copied to github as #: 20065

Description

Cannot seem to classify based on joined column. If classify instead using concat("<column name>") works just fine.

Steps to reproduce:

1. Join a layer to another. 

2. Attempt to classify based on one of the joined columns. (Properties > Style)

Expected result: Distinct values for column shown

Actual result: no values show

History

#1 - 2014-12-14 03:45 AM - Giovanni Manghi

- Priority changed from High to Normal

- Status changed from Open to Feedback

- Category set to Symbology

It works fine here, please attach sample data, it may depend on what formats you are using.

#2 - 2015-05-10 05:18 AM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

closing for lack of feedback.
